Index: Some makefile modifications for making Debian packages.
===================================================================
--- ./Demos/Basic_Demo/Makefile.am~	2008-01-17 12:57:06.000000000 -0500
+++ ./Demos/Basic_Demo/Makefile.am	2008-01-17 12:57:20.000000000 -0500
@@ -1,5 +1,5 @@
 INCLUDES= -I$(top_srcdir)/include $(OGREAL_CFLAGS) $(OIS_CFLAGS)
-demosdir= $(abs_top_builddir)/Demos/bin
+demosdir= $(prefix)/lib/ogrealdemos
 demos_PROGRAMS= Basic
 Basic_SOURCES= Listener.cpp  Listener.h  main.cpp  OgreApp.cpp  OgreApp.h
 Basic_LDFLAGS= -L$(top_builddir)/src
--- ./Demos/Directional_Demo/Makefile.am~	2008-01-17 12:57:06.000000000 -0500
+++ ./Demos/Directional_Demo/Makefile.am	2008-01-17 12:57:20.000000000 -0500
@@ -1,5 +1,5 @@
 INCLUDES= -I$(top_srcdir)/include $(OGREAL_CFLAGS) $(OIS_CFLAGS)
-demosdir= $(abs_top_builddir)/Demos/bin
+demosdir= $(prefix)/lib/ogrealdemos
 demos_PROGRAMS= Directional
 Directional_SOURCES= Listener.cpp  Listener.h  main.cpp  OgreApp.cpp  OgreApp.h
 Directional_LDFLAGS= -L$(top_builddir)/src
--- ./Demos/Doppler_Demo/Makefile.am~	2008-01-17 12:57:06.000000000 -0500
+++ ./Demos/Doppler_Demo/Makefile.am	2008-01-17 12:57:20.000000000 -0500
@@ -1,5 +1,5 @@
 INCLUDES= -I$(top_srcdir)/include $(OGREAL_CFLAGS) $(OIS_CFLAGS)
-demosdir= $(abs_top_builddir)/Demos/bin
+demosdir= $(prefix)/lib/ogrealdemos
 demos_PROGRAMS= Doppler
 Doppler_SOURCES= Listener.cpp  Listener.h  main.cpp  OgreApp.cpp  OgreApp.h BetaGUI.h BetaGUI.cpp
 Doppler_LDFLAGS= -L$(top_builddir)/src
--- ./Demos/ManySources_Demo/Makefile.am~	2008-01-17 12:57:06.000000000 -0500
+++ ./Demos/ManySources_Demo/Makefile.am	2008-01-17 12:57:20.000000000 -0500
@@ -1,5 +1,5 @@
 INCLUDES= -I$(top_srcdir)/include $(OGREAL_CFLAGS) $(OIS_CFLAGS)
-demosdir= $(abs_top_builddir)/Demos/bin
+demosdir= $(prefix)/lib/ogrealdemos
 demos_PROGRAMS= ManySources
 ManySources_SOURCES= Listener.cpp  Listener.h  main.cpp  OgreApp.cpp  OgreApp.h
 ManySources_LDFLAGS= -L$(top_builddir)/src
--- ./Demos/MultiChannel_Demo/Makefile.am~	2008-01-17 12:57:06.000000000 -0500
+++ ./Demos/MultiChannel_Demo/Makefile.am	2008-01-17 12:57:20.000000000 -0500
@@ -1,5 +1,5 @@
 INCLUDES= -I$(top_srcdir)/include $(OGREAL_CFLAGS) $(OIS_CFLAGS)
-demosdir= $(abs_top_builddir)/Demos/bin
+demosdir= $(prefix)/lib/ogrealdemos
 demos_PROGRAMS= MultiChannel
 MultiChannel_SOURCES= Listener.cpp  Listener.h  main.cpp  OgreApp.cpp  OgreApp.h
 MultiChannel_LDFLAGS= -L$(top_builddir)/src
--- ./Demos/PlayPen/Makefile.am~	2008-01-17 12:57:06.000000000 -0500
+++ ./Demos/PlayPen/Makefile.am	2008-01-17 12:57:20.000000000 -0500
@@ -1,5 +1,5 @@
 INCLUDES= -I$(top_srcdir)/include $(OGREAL_CFLAGS) $(OIS_CFLAGS)
-demosdir= $(abs_top_builddir)/Demos/bin
+demosdir= $(prefix)/lib/ogrealdemos
 demos_PROGRAMS= PlayPen
 PlayPen_SOURCES= Listener.cpp  Listener.h  main.cpp  OgreApp.cpp  OgreApp.h
 PlayPen_LDFLAGS= -L$(top_builddir)/src
--- ./Demos/bin/Makefile.am~	2008-01-17 12:57:06.000000000 -0500
+++ ./Demos/bin/Makefile.am	2008-01-17 12:57:20.000000000 -0500
@@ -6,9 +6,9 @@
 	-e "s,@OGREAL_MEDIADIR\@,$(top_srcdir)/Demos/Media,g"
 
 install-data-local:
-	for i in $(CONFIG_FILES) ; do \
-		$(edit) $(srcdir)/$$i.in > $$i.tmp && \
-		$(INSTALL_DATA) $$i.tmp $$i && \
+	for i in $(CONFIG_FILES); do \
+		$(edit) $(srcdir)/$$i.in > $$i.tmp; \
+		$(INSTALL_DATA) $$i.tmp $$i; \
 		rm -f $$i.tmp; \
 	done
 
